Subject: Re: bug#9591: 24.0.50; buffer name completion

From: Chong Yidong <[email-masked]>
Date: Sat, 24 Sep 2011 21:04:19 -0400

Richard Stallman <[email-masked]> writes:

>   Another fix might be for C-x k to use confirm-nonexistent-file-or-buffer
>   so that after you type TAB, Emacs prompts with [Confirm] when you try to
>   exit the minibuffer immediately.
>
> How would that change it?  The buffer ` *message-viewer RMAIL*' did
> exist.

It would probably have stopped you from accidentally entering the
internal buffer by typing RET quickly after TAB.

I agree though that the completion behavior is a bit screwy: typing TAB
into the empty minibuffer does not bring up the hidden buffers in the
completion list, whereas the more agressive partial-completion method
does bring them up.